Skip to main content
GET
/
v1
/
entities
List entities
curl --request GET \
  --url https://api.example.com/v1/entities
{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "type": "<string>",
      "viewPermission": [
        "<string>"
      ],
      "parameters": [
        {
          "label": "<string>",
          "id": "<string>",
          "name": "<string>",
          "type": "ATTACHMENT",
          "isUnique": true,
          "isRequired": true,
          "policyNames": [
            "<string>"
          ],
          "entityRelationAuxParamIds": [
            "<string>"
          ],
          "entityId": "<string>",
          "entityRelationId": "<string>",
          "entityRelation": {},
          "entityRelationParameter": {},
          "entityRelationParameterId": "<string>",
          "computedFormula": [
            "<string>"
          ],
          "optionItems": [
            {
              "value": "<string>",
              "id": "<string>",
              "label": "<string>",
              "color": "<string>",
              "meta": {},
              "parameterId": "<string>",
              "persisted": true,
              "entityParameterId": "<string>",
              "createdAt": "<string>",
              "updatedAt": "<string>",
              "deletedAt": "<string>"
            }
          ],
          "sheetData": {
            "sheetApiId": "<string>",
            "id": "<string>",
            "cell": "<string>",
            "inputType": "<string>",
            "parameterId": "<string>",
            "entityId": "<string>",
            "entityParameterId": "<string>",
            "page": "<string>",
            "formula": "<string>"
          },
          "advancedOptions": {
            "id": "<string>",
            "tooltip": "<string>",
            "description": "<string>",
            "placeholder": "<string>",
            "max": 123,
            "maxLength": 123,
            "min": 123,
            "minLength": 123,
            "decimals": 123,
            "sort": 123,
            "currency": "USD",
            "locale": "pt-BR",
            "isHidden": true,
            "rightFreeze": true,
            "leftFreeze": true,
            "hasCustomColor": true,
            "hasMetadata": true,
            "hiddenFrom": [
              "<string>"
            ],
            "isMultiple": true,
            "insertOnEntity": "<string>",
            "insertOnEntityMetadata": [
              "<string>"
            ],
            "dateFormat": "dd/MM/yyyy",
            "entityOperation": [
              "WRITE"
            ],
            "parameterId": "<string>",
            "entityParameterId": "<string>",
            "createdAt": "<string>",
            "updatedAt": "<string>",
            "deletedAt": "<string>"
          },
          "createdAt": "<string>",
          "updatedAt": "<string>",
          "deletedAt": "<string>"
        }
      ],
      "dataProcessing": [
        "<string>"
      ],
      "updatedAt": "<string>"
    }
  ],
  "meta": {
    "total": 123,
    "lastPage": 123,
    "currentPage": 123,
    "perPage": 123,
    "prev": 123,
    "next": 123
  }
}

Query Parameters

page
string
pageLimit
string
advancedOptions
string
simplified
string
type
string
includeIncomingRelations
string

Response

200 - application/json

ok

data
object[]
meta
object